Bug 499336 - Review Request: flickcurl - C library for the Flickr API
Review Request: flickcurl - C library for the Flickr API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 04:38 EDT by Rakesh Pandit
Modified: 2014-08-06 06:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.10-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 07:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-05-06 04:38:24 EDT
SPEC URL: http://rakesh.fedorapeople.org/spec/flickcurl.spec
SRPM URL: http://rakesh.fedorapeople.org/srpm/flickcurl-1.10-1.fc10.src.rpm


Description:

Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML
responses. Flickcurl supports 100% of the 2009-04-04 version of the
API (see Flickcurl API coverage) including the functions for
photo/video uploading, browsing, searching, adding and editing
comments, groups, notes, photosets, categories, activity, blogs,
favorites, places, tags, machine tags, institutions, pandas and
photo/video metadata. It also includes a program flickrdf to turn
photo metadata, tags, machine tags and places into an RDF triples
description.
Comment 2 Peter Lemenkov 2009-05-12 15:09:10 EDT
I'll review it
Comment 3 Rakesh Pandit 2009-05-22 04:23:05 EDT
ping :)
Comment 4 Peter Lemenkov 2009-05-24 00:26:14 EDT
Review:

+ rpmlint is silent:

[petro@Sulaco Desktop]$ rpmlint flickcurl-
flickcurl-1.10-2.fc11.ppc.rpm            flickcurl-1.10-2.fc11.src.rpm            flickcurl-debuginfo-1.10-2.fc11.ppc.rpm  flickcurl-devel-1.10-2.fc11.ppc.rpm      
[petro@Sulaco Desktop]$ rpmlint flickcurl-*
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco Desktop]$

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec
+/- The package meets the Packaging Guidelines, except one issue with owning directories - see below.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source:

[petro@Sulaco SOURCES]$ md5sum flickcurl-1.10.tar.gz*
9d952990fd13a8beebbffe58061bbd0f  flickcurl-1.10.tar.gz
9d952990fd13a8beebbffe58061bbd0f  flickcurl-1.10.tar.gz.1
[petro@Sulaco SOURCES]$ 

+ The package successfully compiles and builds into binary rpms:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1374032

+ All build dependencies are listed in BuildRequires.
+ The package calls ldconfig in %post and %postun.
+ The package owns all directories that it creates.
+ The packages must not own files or directories already owned by other packages. So, I advice you to make the following change in "%files devel" section:

- {_datadir}/gtk-doc/html
+ {_datadir}/gtk-doc/html/*

+ The package does not list a file more than once in the spec file's %files listings. 
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissable content.
+ No extremely large documentation files
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are be in a -devel package.
+ No static libraries.

- The sub-package containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). Yes, I know, that this made autimatically with modern rpm versions, but 

a) this rule still exists, 
b) and someone may try to rebuild your spec on systems with older rpm (EPEL, for example)

+ The library files that end in .so (without suffix) are in a -devel package.
+ devel packages requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The packages does NOT contain any .la libtool archives
+ Not a GUI application
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Summary:

* Please change "%files devel" section in order not to own entire {_datadir}/gtk-doc/html
* Add BR pkgconfig to devel sub-package
Comment 7 Peter Lemenkov 2009-05-24 05:22:36 EDT
Ok, this package is

APPROVED.
Comment 8 Rakesh Pandit 2009-05-24 05:31:32 EDT
Thanks!

New Package CVS Request
=======================
Package Name: flickcurl
Short Description: C library for the Flickr API
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Cvsextras Commits: yes
Comment 9 Jason Tibbitts 2009-05-26 18:06:37 EDT
CVS done.
Comment 10 Fedora Update System 2009-06-08 07:39:19 EDT
flickcurl-1.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/flickcurl-1.10-3.fc9
Comment 11 Fedora Update System 2009-06-08 07:39:57 EDT
flickcurl-1.10-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/flickcurl-1.10-3.fc10
Comment 12 Fedora Update System 2009-06-08 07:40:29 EDT
flickcurl-1.10-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/flickcurl-1.10-3.fc11
Comment 13 Fedora Update System 2009-07-03 15:33:11 EDT
flickcurl-1.10-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-03 15:52:42 EDT
flickcurl-1.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-07-03 15:52:53 EDT
flickcurl-1.10-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Christopher Meng 2014-08-06 04:49:42 EDT
Package Change Request
======================
Package Name: flickcurl
New Branches: el6 epel7
Owners: cicku
Comment 17 Gwyn Ciesla 2014-08-06 06:08:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.